﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;

namespace Josso.Agent.Test
{
    public partial class _Default : Page
    {
        public string LoginUrl;
        public string LogoutUrl;
        public string InfoUrl;
        public Dictionary<string, string> Properties;
        public string Level;
        public string UserName;

        protected void Page_Load(object sender, EventArgs e)
        {
            if (string.IsNullOrEmpty(UserName))
            {
                string redirectUrl;
                Global.JossoAgent.TryGetJossoLogin(
                    new HttpRequestWrapper(Request), new HttpSessionStateWrapper(Session), out UserName, out redirectUrl);

                if (!string.IsNullOrEmpty(redirectUrl))
                    Response.Redirect(redirectUrl, true);
            }

            LoginUrl = Global.JossoAgent.JossoCreateLoginUrl(new HttpRequestWrapper(Request));
            LogoutUrl = Global.JossoAgent.JossoCreateLogoutUrl(new HttpRequestWrapper(Request));
            InfoUrl = Global.JossoAgent.JossoInfoUrl;
            Properties = Global.JossoAgent.JossoCurrentUser(new HttpRequestWrapper(Request)).Properties;
        }
    }
}